aboutsummaryrefslogtreecommitdiffstats
path: root/common/scripts/ptest-lava-wrapper.sh
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-10-02 19:30:20 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2018-10-02 19:30:34 +0200
commitfae09f60bfc400fa7f67a8b5e67286beb086bcf3 (patch)
treeebfc7a7c5a27817e88b6b0d75ccbce8dd9686a77 /common/scripts/ptest-lava-wrapper.sh
parenta30c5cbe2cd374d529bf92f3f79ce4ffb4db3c42 (diff)
Add the long ptest job and enhance the short job
Change-Id: I42dd644656a47fd9ba3b35a25e848535f61ca0a9 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'common/scripts/ptest-lava-wrapper.sh')
-rwxr-xr-xcommon/scripts/ptest-lava-wrapper.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/common/scripts/ptest-lava-wrapper.sh b/common/scripts/ptest-lava-wrapper.sh
index 07a951a..3b186b4 100755
--- a/common/scripts/ptest-lava-wrapper.sh
+++ b/common/scripts/ptest-lava-wrapper.sh
@@ -19,8 +19,11 @@ else
# sh: execute the lava-test-case commands
test_pass=$(echo "$UNIT_LOG" | grep -e 'PASS' | wc -l)
test_fail=$(echo "$UNIT_LOG" | grep -e 'FAIL' | wc -l)
- lava-test-case passed-commands --result PASS --measurement $test_pass --units pass
- lava-test-case failed-commands --result FAIL --measurement $test_fail --units fail
+ lava-test-case ${unit}-passed-commands --result PASS --measurement $test_pass --units pass
+ if ! [ x"0" = x"$test_fail"] ; then
+ lava-test-case ${unit}-failed-commands --result FAIL --measurement $test_fail --units fail
+ echo "$UNIT_LOG" | grep -e 'FAIL'
+ fi
lava-test-set stop ptest-$unit
else
lava-test-case ptest-runner ${unit} --result fail